API ReferenceEvents
Get a single event
Returns a single security event by its UUID. Returns 404 if the event does not exist in this tenant. Cross-tenant requests also return 404 (never 403) — API keys are tenant-scoped and django-tenants enforces schema isolation automatically.
Authorization
ApiKeyAuth Authorization<token>
API key authentication. Format: Api-Key <your_api_key>
In: header
Path Parameters
external_uuid*string
Format
uuidResponse Body
application/json
curl -X GET "https://developer.idenhq.com/org/{tenant_slug}/api/events/497f6eca-6276-4993-bfeb-53cbbbba6f08/"{
"event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
"event_type": "task.created",
"event_version": 2147483647,
"category": "string",
"severity": "string",
"occurred_at": "2019-08-24T14:15:22Z",
"ingested_at": "2019-08-24T14:15:22Z",
"actor": {
"property1": null,
"property2": null
},
"subject": {
"property1": null,
"property2": null
},
"source": {
"property1": null,
"property2": null
},
"payload": null
}